Function Test-ValidatePatternMessage {
    Param ( 
        [Parameter(Mandatory=$true)] 
        [ValidatePattern('^*.\.log$',ErrorMessage='L''extension du fichier de log doit être .log')] 
        [String]$Path 
    )
    # Bloc d'instruction de la fonction
 }


Test-ValidatePatternMessage -Path ./MyFile.csv